/* Custom scrollbar */
::-webkit-scrollbar { width: 8px; }
::-webkit-scrollbar-track { background: #09090b; }
::-webkit-scrollbar-thumb { background: #27272a; border-radius: 10px; }
::-webkit-scrollbar-thumb:hover { background: #18660E; }

/* model-viewer base */
model-viewer {
    --poster-color: transparent;
    outline: none;
}

/* Mobile menu slide animation */
#mobile-menu {
    transition: transform 0.4s cubic-bezier(0.16, 1, 0.3, 1);
    transform: translateX(100%);
}
#mobile-menu.menu-active {
    transform: translateX(0);
}
